Open CASCADE Technology: IntSurf_QuadricTool Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
IntSurf_QuadricTool Class Reference

This class provides a tool on a quadric that can be used to instantiates the Walking algorithmes (see package IntWalk) with a Quadric from IntSurf as implicit surface. More...

`#include <IntSurf_QuadricTool.hxx>`

## Static Public Member Functions
static Standard_Real | Value (const IntSurf_Quadric &Quad, const Standard_Real X, const Standard_Real Y, const Standard_Real Z)
| Returns the value of the function. More...
static void | Gradient (const IntSurf_Quadric &Quad, const Standard_Real X, const Standard_Real Y, const Standard_Real Z, gp_Vec &V)
| Returns the gradient of the function. More...
static void | ValueAndGradient (const IntSurf_Quadric &Quad, const Standard_Real X, const Standard_Real Y, const Standard_Real Z, Standard_Real &Val, gp_Vec &Grad)
| Returns the value and the gradient. More...
static Standard_Real | Tolerance (const IntSurf_Quadric &Quad)
| returns the tolerance of the zero of the implicit function More...

## Detailed Description

This class provides a tool on a quadric that can be used to instantiates the Walking algorithmes (see package IntWalk) with a Quadric from IntSurf as implicit surface.

## Member Function Documentation

static void IntSurf_QuadricTool::Gradient | ( | const IntSurf_Quadric & | Quad,
|  | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | Z,
|  | gp_Vec & | V
| ) |  |
| static

Returns the gradient of the function.

static Standard_Real IntSurf_QuadricTool::Tolerance | ( | const IntSurf_Quadric & | Quad | ) |
| static

returns the tolerance of the zero of the implicit function

static Standard_Real IntSurf_QuadricTool::Value | ( | const IntSurf_Quadric & | Quad,
|  | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | Z
| ) |  |
| static

Returns the value of the function.

static void IntSurf_QuadricTool::ValueAndGradient | ( | const IntSurf_Quadric & | Quad,
|  | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | Z,
|  | Standard_Real & | Val,
|  | gp_Vec & | Grad
| ) |  |
| static

Returns the value and the gradient.

The documentation for this class was generated from the following file:

- IntSurf_QuadricTool.hxx